=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5plasma-dev (>= 5.78.0~),
               libkf5service-dev (>= 5.78.0~),
               libkf5threadweaver-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/krunner
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git
Rules-Requires-Root: no

Package: libkf5runner-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 5.78.0~),
         libkf5plasma-dev (>= 5.78.0~),
         libkf5runner5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Recommends: libkf5runner-doc (= ${source:Version})
Description: development files for krunner
 An assortment of text-related widgets.
 .
 Contains development files for krunner.

Package: libkf5runner-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5runner5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.
