## krunner 5.80.0

=== debian/changelog ===
krunner (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:22 +0000

krunner (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:30 +0000

krunner (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Build depend on kactivities.
    - Disable tests.
    - Keep Kubuntu symbols files.
    - libkf5runner5 Breaks/Replaces libkf5runner-dev (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Jan 2021 18:26:11 +0000

krunner (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * New build depend on libkf5activities-dev
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:57:56 +0000

krunner (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable tests.
    - Keep Kubuntu symbols files.
    - libkf5runner5 Breaks/Replaces libkf5runner-dev (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jan 2021 00:11:16 +0000

krunner (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:42 +0000

krunner (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update symbols
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:17 +0000
