=== debian/control ===
--- 
+++ 
@@ -3,38 +3,39 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5plasma-dev (>= 5.78.0~),
-               libkf5service-dev (>= 5.78.0~),
-               libkf5threadweaver-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               libkf5activities-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5plasma-dev (>= 5.80.0~),
+               libkf5service-dev (>= 5.80.0~),
+               libkf5threadweaver-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/krunner
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
 Rules-Requires-Root: no
 
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.78.0~),
-         libkf5plasma-dev (>= 5.78.0~),
+Depends: extra-cmake-modules (>= 5.80.0~),
+         libkf5plasma-dev (>= 5.80.0~),
          libkf5runner5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5runner-doc (= ${source:Version})
 Description: development files for krunner
  An assortment of text-related widgets.
@@ -59,6 +60,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5runner-dev (<< 5.70.0-1~)
+Replaces: libkf5runner-dev (<< 5.70.0-1~)
 Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
 Description: Used to write plugins loaded at runtime called "Runners".
  Launcher built into the Plasma desktop. While its
