=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5activities-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5plasma-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
-               libkf5threadweaver-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5activities-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5plasma-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
+               libkf5threadweaver-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -31,8 +31,8 @@
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.80.0~),
-         libkf5plasma-dev (>= 5.80.0~),
+Depends: extra-cmake-modules (>= 5.86.0~),
+         libkf5plasma-dev (>= 5.86.0~),
          libkf5runner5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
