=== debian/changelog ===
krunner (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:40 +0000

krunner (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:52 +0000

krunner (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:53 +0000

krunner (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:38 +0000

krunner (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable tests.
    - Keep our symbols files.
    - Build depend on libkf5activities-dev, 'Required for activities
      support (optional)'.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:23:21 +0000

krunner (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

krunner (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:20:24 +0000

krunner (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:07:15 +0000

krunner (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Drop upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 12:46:38 +0900

krunner (5.85.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

krunner (5.85.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 5.83.0-2, and 5.83.0-3.

 -- Pino Toscano <pino@debian.org>  Mon, 23 Aug 2021 21:08:05 +0200

krunner (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:05:37 +0900

krunner (5.83.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Backport upstream commit 1a63ee9ee192f6e193b5db7c619806ce0ab81f8a to add
    the include guards to abstractrunnertest.h; patch
    upstream_Add-include-guards.patch.
  * Add -DKRUNNER_DBUS_RUNNER_TESTING=0, -DKRUNNER_TEST_RUNNER_PLUGIN_DIR="/tmp"
    and -DKRUNNER_TEST_RUNNER_PLUGIN_NAME="foo" to the gcc arguments for the
    'acc' autopkgtest; they are needed for abstractrunnertest.h.

 -- Pino Toscano <pino@debian.org>  Mon, 23 Aug 2021 20:06:54 +0200

krunner (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:09 +0900

krunner (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

krunner (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 22:04:48 +0900

krunner (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

krunner (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

krunner (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

krunner (5.78.0-4) UNRELEASED; urgency=medium

  [ Norbert Preining ]
  * Add libkf5activities-dev to B-D for activities suppport.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 25 Jan 2021 05:40:57 +0900
