=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: krunner
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               libkf5activities-dev (>= 5.86.0~),
-               libkf5config-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
-               libkf5plasma-dev (>= 5.86.0~),
-               libkf5service-dev (>= 5.86.0~),
-               libkf5threadweaver-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5activities-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5plasma-dev (>= 5.92.0~),
+               libkf5service-dev (>= 5.92.0~),
+               libkf5threadweaver-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
-               qtdeclarative5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/krunner
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
@@ -31,10 +31,10 @@
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.86.0~),
-         libkf5plasma-dev (>= 5.86.0~),
+Depends: extra-cmake-modules (>= 5.92.0~),
+         libkf5plasma-dev (>= 5.92.0~),
          libkf5runner5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5runner-doc (= ${source:Version})
 Description: development files for krunner
