=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: krunner
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5activities-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5plasma-dev (>= 5.98.0~),
-               libkf5service-dev (>= 5.98.0~),
-               libkf5threadweaver-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5activities-dev (>= 5.100.0~),
+               libkf5config-dev (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
+               libkf5kio-dev (>= 5.100.0~),
+               libkf5plasma-dev (>= 5.100.0~),
+               libkf5service-dev (>= 5.100.0~),
+               libkf5threadweaver-dev (>= 5.100.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -25,15 +24,15 @@
                qttools5-dev-tools,
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/krunner
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git
 Rules-Requires-Root: no
 
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 5.98.0~),
-         libkf5plasma-dev (>= 5.98.0~),
+Depends: extra-cmake-modules (>= 5.100.0~),
+         libkf5plasma-dev (>= 5.100.0~),
          libkf5runner5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
